API referenceWhatsApp
GET /whatsapp/number-info
Live snapshot of the number from Meta
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
accountId*stringWhatsApp account id
{phone, waba, account}
application/json- response
phone?waba?|nullaccount?curl -X GET 'https://example.com/api/v1/whatsapp/number-info?accountId=string'Example Response
{ "phone": {}, "waba": {}, "account": { "accountId": "string", "platform": "whatsapp", "accountName": "string", "phoneNumberId": "string", "wabaId": "string", "businessId": "string", "externalId": "string", "status": "string", "phoneNumber": { "displayPhoneNumber": "string", "verifiedName": "string", "qualityRating": "string", "messagingLimitTier": "string", "nameStatus": "string", "platformType": "string", "codeVerificationStatus": "string", "status": "string", "checkedAt": "2019-08-24T14:15:22Z", "throughput": null }, "onboarding": { "connection": "embedded_signup", "onboarding": "cloud_api", "subscribed": true, "subscribeError": "string", "registered": true, "registerError": "string", "registerSkipped": "string", "onboardedAt": "2019-08-24T14:15:22Z" } }}